diff options
author | Boris Kolpackov <boris@codesynthesis.com> | 2021-01-04 10:29:21 +0200 |
---|---|---|
committer | Boris Kolpackov <boris@codesynthesis.com> | 2021-01-04 10:29:21 +0200 |
commit | 021ba6a47856a96bf44cb3d8bf39f6f73ec741da (patch) | |
tree | ff9988a22309b38a0e3be3886040a472fbc3d3e2 /upload-machine | |
parent | 4f2e96fd345da16d01dd6f4d6d9d0bca0d0aec78 (diff) |
Add ability to specify existing tap interface in test-machine
Also, create new tap as tap9 instead of tap0.
Diffstat (limited to 'upload-machine')
-rwxr-xr-x | upload-machine | 3 |
1 files changed, 2 insertions, 1 deletions
diff --git a/upload-machine b/upload-machine index cffcd7b..8d6e730 100755 --- a/upload-machine +++ b/upload-machine @@ -14,7 +14,8 @@ usage="usage: $0 [<options>] <host> <new-subvol> [<old-subvol>]" owd="$(pwd)" trap "{ cd '$owd'; exit 1; }" ERR -set -o errtrace # Trap in functions. +set -o errtrace -o pipefail # Trap in functions. + # Fail if any pipe command fails. function info () { echo "$*" 1>&2; } function error () { info "$*"; exit 1; } |